### Method

# EBookContacts VCard append_attribute_with_value

since: 2.32

#### Declaration [src]

    void
    e_vcard_append_attribute_with_value (
      EVCard* evcard,
      EVCardAttribute* attr,
      const gchar* value
    )

#### Description [src]

Appends `attr` to `evcard`, setting it to `value`. This takes ownership of `attr`.

This is a convenience wrapper around `e_vcard_attribute_add_value()` and e_vcard_append_attribute().

Available since: 2.32

#### Parameters

`attr`

  Type: `EVCardAttribute`

  An `EVCardAttribute` to append.

  The instance takes ownership of the data, and is responsible for freeing it.

`value`

  Type: `const gchar*`

  A value to assign to the attribute.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.